List Dashboards Endpoint
GET
/api/v1/dashboards
const url = 'https://example.com/api/v1/dashboards?limit=50&offset=0';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/v1/dashboards?limit=50&offset=0'Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”limit
Limit
integer
offset
Offset
integer
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
Response List Dashboards Endpoint Api V1 Dashboards Get
Array<object>
DashboardOutobject
id
required
Id
integer
name
required
Name
string
sort_order
required
Sort Order
integer
layout
required
DashboardLayout
The placed cards and the ids of the cards the user hid.
object
cards
Cards
Array<object>
DashboardCardOne card placed on the grid: its id and its cell rectangle.
object
id
required
Id
string
x
required
X
integer
y
required
Y
integer
w
required
W
integer
h
required
H
integer
hidden
Hidden
Array<string>
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
Example generated
[ { "id": 1, "name": "example", "sort_order": 1, "layout": { "cards": [ { "id": "example", "x": 1, "y": 1, "w": 1, "h": 1 } ], "hidden": [ "example" ] }, "created_at": "2026-04-15T12:00:00Z", "updated_at": "2026-04-15T12:00:00Z" }]Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}